<?php


namespace Fastrack\Settings;


use SilverStripe\Forms\FieldList;
use SilverStripe\Forms\HeaderField;
use SilverStripe\Forms\TextField;
use SilverStripe\ORM\DataExtension;

class ApiKeyExtension extends DataExtension
{

	private static $db = [
		'GoogleMapAPIKey' => 'Varchar(255)',
		'GoogleMapAPIKeyServerSide' => 'Varchar(255)',
		'GoogleReCaptchaKey' => 'Varchar(255)',
		'GoogleReCaptchaSecretKey' => 'Varchar(255)',
	];

	public function updateCMSFields(FieldList $fields)
	{
		$fields->addFieldsToTab('Root.APIs', [
			HeaderField::create('GoogleMaps', 'Google Maps'),
			TextField::create('GoogleMapAPIKey', 'Google Maps API Key'),
			TextField::create('GoogleMapAPIKeyServerSide', 'Google Maps API Key (server side)'),
			HeaderField::create('GoogleReCaptcha', 'Google ReCaptcha'),
			TextField::create('GoogleReCaptchaKey', 'Google ReCaptcha Key'),
			TextField::create('GoogleReCaptchaSecretKey', 'Google ReCaptcha Secret Key'),
		]);
		$fields->findOrMakeTab('Root.APIs')->setTitle('APIs');
	}
}
